Package: org.grails.cli.profile

## [Groovy] Class FileSystemProfile

- org.grails.cli.profile.FileSystemProfile

- Simple disk based implementation of the Profile interface

  Authors:
    Graeme Rocher
  Since:
    1.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractProfile` | `binaryExtensions, buildExcludes, buildMerge, buildPlugins, buildRepositories, classLoader, commandsByName, defaultFeaturesNames, dependencies, description, exclusionDependencySelector, executablePatterns, features, instructions, internalCommands, name, navigableConfig, parentNames, parentProfiles, parentTargetFolder, profileDir, profileRepository, repositories, requiredFeatureNames, skeletonExcludes, version`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FileSystemProfile (ProfileRepository repository, java.io.File profileDir)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ResourceProfile` | `create, equals, getName, hashCode`
    `class AbstractProfile` | `getBinaryExtensions, getBuildMergeProfileNames, getBuildPlugins, getBuildRepositories, getCommand, getCommands, getCompleters, getConfiguration, getDefaultFeatures, getDependencies, getDescription, getExecutablePatterns, getExtends, getFeatures, getInstructions, getParentSkeletonDir, getParentSkeletonDir, getProfileDir, getProfileRepository, getRepositories, getRequiredFeatures, getSkeletonExcludes, getTemplate, getVersion, handleCommand, hasCommand, initialize, registerParentCommands, setProfileRepository`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### FileSystemProfile(ProfileRepository repository, java.io.File profileDir)